Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window.backing
Class WindowBackingContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.BackingContext
                  |
                  +--com.bea.netuix.servlets.controls.window.backing.WindowBackingContext

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PageBackingContext, PortletBackingContext

public abstract class WindowBackingContext
extends BackingContext

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `WindowBackingContext(Window window)`

Method Summary
`boolean` | `getCapabilityVisible(String name)` Gets the visible property for a capability.
`String` | `getDefinitionId()` Return the definition id of this portlet, page or book.
`String` | `getDefinitionLabel()` Getter fo rthe definition label for the portlet/page or book.
`String` | `getDescription()` Returns the desscription for the current window.
`String` | `getInstanceId()` Return the instance id of this portlet.
`abstract String` | `getLabel()` Return the label for the control.
`String` | `getOrientation()` Returns the orientation of the navigation bar or titlebar of the current window.
`BackingContext` | `getParentWindowBackingContext()` Returns the `BackingContext` of the parent of the current window.
`String` | `getPlacementId()` Returns the `PlacementId` for this window.
`WindowMode` | `getPreviousWindowMode()` Returns previous `WindowMode`.
`WindowState` | `getPreviousWindowState()` Returns previous `WindowState`.
`List` | `getRenderedChildrenWindowBackingContexts()` This method returns a deep List containing all the Window, Page, and Book backing contexts of these type of controls that are rendered.
`String` | `getTitle()`
`WindowMode` | `getWindowMode()` Returns the current window mode.
`WindowState` | `getWindowState()` Returns the current window state.
`boolean` | `isCapable(Capability capability)` Returns `true` if this control has the given capability.
`boolean` | `isPacked()` Returns `true` if the current window is packed.
`void` | `setCapabilityVisible(String name, boolean isVisible)` Sets the visible property for a capability.
`void` | `setDescription(String description)` Set window description.
`void` | `setTitle(String title)` Set the window's title.
`void` | `setupModeChangeEvent(String modeValue)` Sets up a mode change event.
`void` | `setupModeChangeEvent(WindowMode modeValue)` Sets up a mode change event.
`void` | `setupPageChangeEvent(String pageLabel)` Sets up a page change event.
`void` | `setupStateChangeEvent(String stateValue)` Sets up a state change event.

Methods inherited from class com.bea.netuix.servlets.controls.BackingContext
`getChildrenBackingContexts, getContextFromRequest, getParentBackingContext, getTopParentBackingContext, isBackingPhase, isVisible, setBackingPhase, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextKey, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowBackingContext

    protected WindowBackingContext(Window window)

Method Detail

### getLabel

    public abstract String getLabel()

  Return the label for the control. This will be the instance label for portlets and definition label for pages and books.

  Returns:
    the label from the book, page or portlet.

### getTitle

    public String getTitle()

### setCapabilityVisible

    public void setCapabilityVisible(String name,
                                     boolean isVisible)
                              throws NullPointerException

  Sets the visible property for a capability. `name` should be the Capability name. This must be called in the pre-render method or earlier, and is reset upon every new request.

  Parameters:
    `name` - the `Capability` name
    `isVisible` - is it visible
    `NullPointerException`

### getCapabilityVisible

    public boolean getCapabilityVisible(String name)
                                 throws NullPointerException

  Gets the visible property for a capability. `name` should be the Capability name.

  Parameters:
    `name` - the `Capability` name
  Returns:
    is it visible
    `NullPointerException`

### setTitle

    public void setTitle(String title)

  Set the window's title. Note this method only sets the title for the current request. If you want to set the title permenately (and you are in streaming mode - not single file) then use the `PortalCustomizationManager EJB.`

  Parameters:
    `title` -
  See Also:
    `IPortletInstanceManager.updatePortletInstance(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId, com.bea.netuix.application.instance.PortletInstance)`

### getDescription

    public String getDescription()

  Returns the desscription for the current window.

  Returns:
    description

### setDescription

    public void setDescription(String description)

  Set window description. Note this method only sets the description for the current request. If you want to set the description permanently (and you are in streaming mode - not single file) then use the `PortalCustomizationManager` EJB.

  Parameters:
    `description` -
  See Also:
    `IPortletInstanceManager.updatePortletInstance(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId, com.bea.netuix.application.instance.PortletInstance)`

### getDefinitionLabel

    public String getDefinitionLabel()

  Getter fo rthe definition label for the portlet/page or book.

  Returns:
    a String containing the windows definition label.

### getInstanceId

    public String getInstanceId()

  Return the instance id of this portlet. Note the instance id is only populated when in streaming mode, not single file)

  Returns:
    A string representation of the portlet's instance id (this is always a number)

### getDefinitionId

    public String getDefinitionId()

  Return the definition id of this portlet, page or book. Note the definition id is only populated in streaming mode (database and not single file). This can be usful with the persistence API.

  Returns:
    A string representation of the windows defintion id (this is always a number)

### getRenderedChildrenWindowBackingContexts

    public List getRenderedChildrenWindowBackingContexts()

  This method returns a deep List containing all the Window, Page, and Book backing contexts of these type of controls that are rendered.

### setupModeChangeEvent

    public void setupModeChangeEvent(String modeValue)

  Sets up a mode change event. Should be called during postback

  Parameters:
    `modeValue` - mode

### setupModeChangeEvent

    public void setupModeChangeEvent(WindowMode modeValue)

  Sets up a mode change event. Should be called during postback

  Parameters:
    `modeValue` - mode

### setupStateChangeEvent

    public void setupStateChangeEvent(String stateValue)

  Sets up a state change event. Should be called during postback

  Parameters:
    `stateValue` - state

### setupPageChangeEvent

    public void setupPageChangeEvent(String pageLabel)

  Sets up a page change event. Should be called during postback

  Parameters:
    `pageLabel` - page label

### getWindowMode

    public WindowMode getWindowMode()

  Returns the current window mode.

  Returns:
    mode

### getWindowState

    public WindowState getWindowState()

  Returns the current window state.

  Returns:
    window state

### getOrientation

    public String getOrientation()

  Returns the orientation of the navigation bar or titlebar of the current window. Value can be top(default), left, right.

  Returns:
    titlebar or navigation bar orientation

### getPlacementId

    public String getPlacementId()

  Returns the `PlacementId` for this window.

  Returns:
    `PlacementId`
  See Also:
    `PlacementId`

### isPacked

    public boolean isPacked()

  Returns `true` if the current window is packed.

  Returns:
    true if packed

### getPreviousWindowState

    public WindowState getPreviousWindowState()

  Returns previous `WindowState`.

  Returns:
    `WindowState`

### getPreviousWindowMode

    public WindowMode getPreviousWindowMode()

  Returns previous `WindowMode`.

  Returns:
    `WindowMode`

### getParentWindowBackingContext

    public BackingContext getParentWindowBackingContext()

  Returns the `BackingContext` of the parent of the current window.

  Returns:
    parent window `BackingContext`

### isCapable

    public boolean isCapable(Capability capability)

  Returns `true` if this control has the given capability.

  Parameters:
    `capability` - - window mode or state
  See Also:
    `WindowCapabilities`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved